Get javascript error when compiled from source and start with dev server

Follow the Github (https://github.com/jitsi/jitsi-meet), I compiled the source code.

When run on dev server (localhost:8080), it got javascript error as below:

translation.js:26 Uncaught ReferenceError: $ is not defined
    at new Translation (translation.js:26)
    at Module../modules/translation/translation.js (translation.js:59)
    at __webpack_require__ (bootstrap:19)
    at Module../app.js (app.js:1)
    at __webpack_require__ (bootstrap:19)
    at Object.0 (app.bundle.min.js?v=3539:274618)
    at __webpack_require__ (bootstrap:19)
    at bootstrap:83
    at bootstrap:83

Any idea?

What node and npm versions are you using?

Have you done recently npm install?
I recently did changes around translations and tested it with the dev server, the only thing I can think of is npm install to update latest package version.

Thanks guys,

Node -> v10.16.0
NPM -> 6.9.0
My current environment is CygWin, however, it got the same issue on Ubuntu on my VirtualBox

I just delete everything and retry, still the same error.
basically, below are the command I used:

  1. git clone https://github.com/jitsi/jitsi-meet.git meet
  2. cd meet
  3. npm install
  4. make dev
  5. run it in Chrome (localhost:8080).

@damencho, I am having same problem but the only difference is I am using windows machine. I build and copied files manually as make command doesn’t work in windows and get everything running except the problem mentioned by @verybox0.

Node -> v10.16.0
NPM -> 6.9.0

I just did the same and everything works fine here.

$ npm -v
6.9.0
$ node -v
v10.15.3

@verybox0, I got it working by updating webpack.config.js for $.

Just add following code to resolve webpack build issue of $ in webpack.config.js file.

Include below-mentioned at the top of the file:

var webpack = require("webpack");

Include below-mentioned code into the config section:

plugins: [
   new webpack.ProvidePlugin({
        $: "jquery",  
        jQuery: "jquery"
    })
]